Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 23 Mar 2021 16:17:17 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Good day! I'm trying to input my voucher no. 21182061620000001 ACN but repeatedly it says invalid voucher .and another thing about the promo buy 2 get 1...I ordered 2 sets of buy 2 get 1 promo a total of 6PCs.. but the price remained per pc.@39sar for the item sustainable printed crew neck  tshirt with cap sleeves...should I continue to checkout ?what will I do?Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2291816